org.bouncycastle.asn1.ocsp

## Class CrlID

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.ocsp.CrlID

All Implemented Interfaces:
  DEREncodable

    public class CrlID
    extends ASN1Encodable

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`CrlID(ASN1Sequence seq)`

### Method Summary

Methods
`DERInteger` `getCrlNum()`
`DERGeneralizedTime` `getCrlTime()`
`DERIA5String` `getCrlUrl()`
`DERObject` `toASN1Object()` Produce an object suitable for an ASN1OutputStream.

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CrlID

    public CrlID(ASN1Sequence seq)

### Method Detail

#### getCrlUrl

    public DERIA5String getCrlUrl()

#### getCrlNum

    public DERInteger getCrlNum()

#### getCrlTime

    public DERGeneralizedTime getCrlTime()

#### toASN1Object

    public DERObject toASN1Object()

Produce an object suitable for an ASN1OutputStream.

     CrlID ::= SEQUENCE {
         crlUrl               [0]     EXPLICIT IA5String OPTIONAL,
         crlNum               [1]     EXPLICIT INTEGER OPTIONAL,
         crlTime              [2]     EXPLICIT GeneralizedTime OPTIONAL }

Specified by:
  `toASN1Object` in class `ASN1Encodable`